Package org.eclipse.mat.ui.internal.query.arguments

# Class ArgumentsTable

java.lang.Object
org.eclipse.mat.ui.internal.query.arguments.ArgumentsTable

All Implemented Interfaces:
  `ArgumentEditor.IEditorListener`

public class ArgumentsTable extends Object implements ArgumentEditor.IEditorListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ArgumentsTable.ITableListener`

## Constructor Summary

Constructors
Constructor
Description
`ArgumentsTable(Composite parent, int style, IQueryContext context, ArgumentSet argumentSet, LinkEditor.Mode mode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(ArgumentsTable.ITableListener listener)`
`void`
`dispose()`
`void`
`fireFocusChangedEvent(String message)`
`void`
`onError(ArgumentEditor editor, String message)`
`void`
`onFocus(String message)`
`void`
`onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void`
`onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)`
`void`
`removeListener(ArgumentsTable.ITableListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArgumentsTable

public ArgumentsTable(Composite parent, int style, IQueryContext context, ArgumentSet argumentSet, LinkEditor.Mode mode)

## Method Details

### dispose

public void dispose()

### onValueChanged

public void onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)

Specified by:
  `onValueChanged` in interface `ArgumentEditor.IEditorListener`

### onError

public void onError(ArgumentEditor editor, String message)

Specified by:
  `onError` in interface `ArgumentEditor.IEditorListener`

### addListener

public void addListener(ArgumentsTable.ITableListener listener)

### removeListener

public void removeListener(ArgumentsTable.ITableListener listener)

### fireFocusChangedEvent

public void fireFocusChangedEvent(String message)

### onFocus

public void onFocus(String message)

Specified by:
  `onFocus` in interface `ArgumentEditor.IEditorListener`

### onModeChange

public void onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)

Specified by:
  `onModeChange` in interface `ArgumentEditor.IEditorListener`